From 43605633227048afc75b03dcfdc251953196b210 Mon Sep 17 00:00:00 2001
From: Ivan Sokolov <ivan-p-sokolov@ya.ru>
Date: Thu, 27 Jun 2019 01:22:43 +0300
Subject: [PATCH] firefox: add alternatives

---
 srcpkgs/firefox/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/firefox/template b/srcpkgs/firefox/template
index 9a654933729..74edcb46042 100644
--- a/srcpkgs/firefox/template
+++ b/srcpkgs/firefox/template
@@ -4,7 +4,7 @@
 #
 pkgname=firefox
 version=67.0.4
-revision=1
+revision=2
 build_helper="rust"
 short_desc="Mozilla Firefox web browser"
 maintainer="Johannes <johannes.brechtmann@gmail.com>"
@@ -31,6 +31,11 @@ conflicts="firefox-esr>=0"
 build_options="alsa dbus pulseaudio startup_notification xscreensaver sndio wayland"
 build_options_default="alsa dbus pulseaudio startup_notification xscreensaver sndio wayland"
 
+alternatives="
+ firefox:/usr/bin/firefox:/usr/lib/firefox/firefox
+ firefox:/usr/bin/firefox:/usr/bin/firefox-wayland
+"
+
 case $XBPS_MACHINE in
 	i686*) 	# 19:55.85 /usr/bin/ld: failed to set dynamic section sizes: memory exhausted
 		nodebug=yes
